Subject: bug#50493: closed (Re: bug#50493: Update go-build-system to use Go 1.17.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Dec 2021 21:36:02 +0000

Your bug report

#50493: Update go-build-system to use Go 1.17.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50493: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50493
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50493: Update go-build-system to use Go 1.17.
From: Leo Famulari <[email-masked]>
To: Efraim Flashner <[email-masked]>, Sarah Morgensen <[email-masked]>, [email-masked]
Date: Fri, 24 Dec 2021 16:35:00 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Dec 19, 2021 at 09:31:46PM -0500, Leo Famulari wrote:
> So, I invite people to apply these patches and try *using* their
> favorite Go programs, and hopefully we can push these patches in the
> coming days.

Pushed as 717be95339c953f53a22b9d98378c76025263737

Subject: Update go-build-system to use Go 1.17.
From: Sarah Morgensen <[email-masked]>
To: [email-masked]
Date: Thu, 09 Sep 2021 15:14:57 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

This is intended to be a tracking issue for updating go-build-system to
use Go 1.17 by default.  The build system currently uses Go 1.14, which
no longer receives security updates [0].

Here's what needs to be done:

1. Address the aarch64 bug [1], either by verifying that it only happens
on emulated systems, or by fixing it if not.

2. Make some much-needed improvements to go-build-system [2]:

* replace the *slow* phase 'remove-go-references with -trimpath option

* avoid building a directory union of Go inputs (and then copying it!)

* add a "go-std-cache-for-build" package (hidden; name to be
bikeshedded), which will be an implicit input in go-build-system (needed
since we removed the pre-built standard library in go-1.17)

3. Some/all Docker packages still require Go 1.14; make them use go-1.14
explicitly.  Alternatively, update Docker (significant effort involved).

4. Update or patch broken packages.  I've got patches for four so far:

go-github-com-urfave-cli
go-github-com-urfave-cli-v2
go-github-com-sevlyar-go-daemon
go-github-com-keybase-go-ps

I'll submit them as a separate patch and block this with it.  If anyone
else would like to see if their favorite package works with Go 1.17, you
can build it with:

  go build --with-input=[email-masked]=[email-masked] <package>

[0] https://github.com/golang/go/wiki/Go-Release-Cycle#release-maintenance
[1] https://issues.guix.gnu.org/49921
[2] https://issues.guix.gnu.org/50227#10

--
Sarah